<?php

if ( !class_exists('Tab_Slide_Settings') ) {
	
	class Tab_Slide_Settings {
		
		function __construct() {
			
		}
		
		function init() {
			
		}	
		
		/* 
		 * Adds Settings page for Tab Slider.
		 */
		function settings_page( ) {
			global $tab_slide, $wp_roles;
			$msg = null;
			if( array_key_exists( 'updated', $_GET ) && $_GET['updated']=='true' ) { $msg = __('Settings Saved', 'tab_slide'); }
			?>
				<div class="wrap">
					<div class="icon32" id="icon-options-general"><br/></div>
					<h2><?php _e('Tab Slide Settings', 'tab_slide') ?></h2>
					<?php if($msg) : ?>
						<div class="updated fade" id="message">
							<p><strong><?php echo $msg ?></strong></p>
						</div>
					<?php endif; ?>
					<form method="post" action="options.php">
						<?php settings_fields( $tab_slide->options_group ); ?>						
						<table class="form-table">
							<tr valign="top">
								<th scope="row"><strong><?php _e('Startup Settings', 'tab-slide') ?></strong></th>
								<td>
										<p>
											<label for="show_on_load">
												<input type="checkbox" name="<?php  echo $tab_slide->get_plugin_option_fullname('show_on_load') ?>" id="show_on_load" value="1" <?php checked($tab_slide->get_plugin_option('show_on_load')); ?>/>
												<?php _e('Start in open tab slide view', 'tab-slide') ?>
											</label> <br />
											<span class="description"><?php _e('Determines weather the content of the slide is initially shown when the page is loaded', 'tab-slide') ?></span>
										</p>
										<div id='timer' class =	
											<?php 
												$timer = $tab_slide->get_plugin_option('show_on_load');
												if ($timer == true) {
													echo "shown";
												} else {
													echo "hidden";
												}
											?>				
												<p>
													<label for="timer">
														<?php _e('Autohide Countdown:', 'tab-slide') ?>
													</label>
													<input name="<?php  echo $tab_slide->get_plugin_option_fullname('timer') ?>" value="<?php  echo $tab_slide->get_plugin_option('timer') ?>" id="timer" maxlength="6" size="5">seconds
													</input>
													<br />
													<span class="description"><?php _e('Autohide slide timer countdown', 'tab-slide') ?></span>
												</p> 
										</div>
										<script type='text/javascript'>
										   jQuery("input[type='checkbox']").click(function () { 
										      if ( jQuery(('#timer.hidden').length )) {
													jQuery('#timer').toggleClass('hidden');
										        	return;
										        	
										      }else if ( jQuery(('#timer.shown').length )){
									  	    	jQuery('#timer').toggleClass('shown');
									  	    	return;
											  }
										 	});
										</script>	
								</td>
							</tr>
							<tr valign="top">
								<th scope="row"><strong><?php _e('Slide Content Settings', 'tab-slide') ?></strong></th>
								<td>
									<p>
										<label for="open_width">
											<?php _e('Slide width:', 'tab-slide') ?>
										</label>
										<input name="<?php  echo $tab_slide->get_plugin_option_fullname('open_width') ?>" value= "<?php  echo $tab_slide->get_plugin_option('open_width') ?>" id="open_width" maxlength=<?php if($tab_slide->get_plugin_option('window_unit') == '%') echo '3'; else echo '5'; ?> size="2">
										</input>
										
										<label for="open_height">
											<?php _e('Slide height:', 'tab-slide') ?>
										</label>
										<input name="<?php  echo $tab_slide->get_plugin_option_fullname('open_height') ?>" value= "<?php  echo $tab_slide->get_plugin_option('open_height') ?>" id="open_height" maxlength=<?php if($tab_slide->get_plugin_option('window_unit') == '%') echo '3'; else echo '5'; ?> size="2">
										</input>			
										
										<label for="window_unit">
												<input type="radio" name="<?php  echo $tab_slide->get_plugin_option_fullname('window_unit') ?>" value="px" <?php if($tab_slide->get_plugin_option('window_unit') == 'px') echo 'checked'; ?> /> px
												<input type="radio" name="<?php  echo $tab_slide->get_plugin_option_fullname('window_unit') ?>" value="%" <?php if($tab_slide->get_plugin_option('window_unit') == '%') echo 'checked'; ?> /> %
										</label> <br />

										<label for="open_top">
											<?php _e('Vertical position from top:', 'tab-slide') ?>
										</label>
										<input name="<?php  echo $tab_slide->get_plugin_option_fullname('open_top') ?>" value= "<?php  echo $tab_slide->get_plugin_option('open_top') ?>" id="open_top" maxlength=<?php if($tab_slide->get_plugin_option('window_unit') == '%') echo '2'; else echo '5'; ?> size="1">%
										</input> <br />

										<span class="description"><?php _e('The size and vertical positioning settings.<br/> Width and Height values can be dealt with either in percentages or pixels.', 'tab-slide') ?></span>
									</p>
									
									<p>
										<label for="window_url">
											<?php _e('Window Url Path: wordpress/', 'tab-slide') ?>
										</label>
										<input name="<?php  echo $tab_slide->get_plugin_option_fullname('window_url') ?>"  value="<?php  echo $tab_slide->get_plugin_option('window_url') ?>" id="window_url" size="60">
										</input>
										<br />
										<span class="description"><?php _e('example: wp-content/plugins/tab-slide/templates/signin.php', 'tab-slide') ?></span>
									</p>
								</td>
							</tr>
							<tr valign="top">
								<th scope="row"><strong><?php _e('Background Settings', 'tab-slide') ?></strong></th>
								<td>
									<p>
										<label for="background">
											<?php _e('Background (Path or Color):', 'tab-slide') ?>
										</label>
										<input name="<?php  echo $tab_slide->get_plugin_option_fullname('background') ?>" value="<?php  echo $tab_slide->get_plugin_option('background') ?>" id="background" size="62">
										</input>
										<br />
										<span class="description"><?php _e('example1: black <br/> example2: http://www.yoursite.com/background.jpg', 'tab-slide') ?></span>
									</p>
									<p>
										<label for="opacity">
											<?php _e('Opacity:', 'tab-slide') ?>
										</label>
										
										<input type="range"  min="0" max="100" name="<?php  echo $tab_slide->get_plugin_option_fullname('opacity') ?>" value="<?php  echo $tab_slide->get_plugin_option('opacity') ?>" id="opacity" maxlength=<?php if($tab_slide->get_plugin_option('window_unit') == '%') echo '3'; else echo '5'; ?> size="2" onchange="showValue(this.value)">
										</input>
										<span id="range">0</span>
										<script type="text/javascript">
											function showValue(newValue) {
												document.getElementById("range").innerHTML=newValue;
											}
										</script>
										<br />
										<span class="description"><?php _e('The background opacity.<br/>  Any value between 0 (transparent) and 100 (opaque)', 'tab-slide') ?></span>
									</p>
									
								</td>
							</tr>					
							<tr valign="top">
								<th scope="row"><strong><?php _e('TAB Settings', 'tab-slide') ?></strong></th>
								<td>
									<p>
										<label for="tab_image">
											<?php _e('Tab Image Path: wordpress/wp-content/plugins/tab-slide/', 'tab-slide') ?>
										</label>
										<input name="<?php  echo $tab_slide->get_plugin_option_fullname('tab_image') ?>" value="<?php  echo $tab_slide->get_plugin_option('tab_image') ?>" id="tab_image" size="30">
										</input>
										<br />
									</p>
									<p>
										<label for="tab_color">
											<?php _e('Tab Color:', 'tab-slide') ?>
										</label>
										<input name="<?php  echo $tab_slide->get_plugin_option_fullname('tab_color') ?>" value="<?php echo $tab_slide->get_plugin_option('tab_color') ?>" id="tab_color" size="5">
										</input>
							</p>
									<p>
										<label for="tab_top">
											<?php _e('Position from top:', 'tab-slide') ?>
										</label>
										<input name="<?php  echo $tab_slide->get_plugin_option_fullname('tab_top') ?>" value="<?php  echo $tab_slide->get_plugin_option('tab_top') ?>" id="tab_top" maxlength="3" size="2">%
										</input>
										<br />
										<span class="description"><?php _e('Vertical tab position relative to slide height.<br/> Use any value between 0 (top of slide) and 100 (bottom of slide)', 'tab-slide') ?></span>
									</p>
								</td>
							</tr>									
						</table>
							<p class="submit">
								<input type="hidden" name="<?php echo $tab_slide->get_plugin_option_fullname('version') ?>" value="<?php echo ($tab_slide->get_plugin_option('version')) ?>" />
						        <input type="submit" class="button-primary" value="<?php _e('Save Changes', 'tab-slide') ?>" />  
							</p>
					</form>
				</div>
			<?php 
		}
	}
}